Bug Hunting Session
Bug 36493 - transitions-ogl.xml packaged in two packages, prevents installation (impress & ogltrans)
Summary: transitions-ogl.xml packaged in two packages, prevents installation (impress ...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.4.0 Beta2
Hardware: All Linux (All)
: high blocker
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 36273 (view as bug list)
Depends on:
Blocks: mab3.4
  Show dependency treegraph
 
Reported: 2011-04-22 08:28 UTC by Akinari
Modified: 2012-05-08 12:02 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Akinari 2011-04-22 08:28:42 UTC
Error during instalation: ./libobasis3.4-ogltrans_3.4.0-103_i386.deb

dpkg: не удалось обработать параметр /home/akinari/Рабочий стол/DEBS/libobasis3.4-ogltrans_3.4.0-103_i386.deb (--install):
 попытка перезаписать /opt/libreoffice/basis3.4/share/config/soffice.cfg/simpress/transitions-ogl.xml, который уже имеется в пакете libobasis3.4-impress 3.4.0-103

("trying to rewrite transitions-ogl.xml which already exists in the package libobasis3.4-impress 3.4.0-103")

Post-installation errors:

Настраивается пакет libreoffice3-dict-en (3.4.0-103) ...
/opt/libreoffice/program/unopkg.bin: error while loading shared libraries: libjvmaccessgcc3.so.3: cannot open shared object file: No such file or directory
Настраивается пакет libreoffice3-dict-es (3.4.0-103) ...
/opt/libreoffice/program/unopkg.bin: error while loading shared libraries: libjvmaccessgcc3.so.3: cannot open shared object file: No such file or directory
Настраивается пакет libreoffice3-dict-fr (3.4.0-103) ...
/opt/libreoffice/program/unopkg.bin: error while loading shared libraries: libjvmaccessgcc3.so.3: cannot open shared object file: No such file or directory

The result:

$ libreoffice
/opt/libreoffice/program/oosplash.bin: /usr/lib/libuno_sal.so.3: version `UDK_3.11' not found (required by /opt/libreoffice/program/oosplash.bin)

P.S. It was a clean installing, I purged LO 3.3.2 before.
Comment 1 Christian Lohmaier 2011-04-24 02:55:41 UTC
$ rpm -qp --dump LibO_3.4.0beta2_Linux_x86_install-rpm_en-US/RPMS/libobasis3.4-impress-3.4.0-2.i586.rpm  |grep ogl.xml
/opt/libreoffice/basis3.4/share/config/soffice.cfg/simpress/transitions-ogl.xml 3281 1303324669 d1e2615d0b0663ce8e0ac201d9e29f8d 0100444 root root 0 0 0 X
$ rpm -qp --dump LibO_3.4.0beta2_Linux_x86_install-rpm_en-US/RPMS/libobasis3.4-ogltrans-3.4.0-2.i586.rpm  |grep ogl.xml
/opt/libreoffice/basis3.4/share/config/soffice.cfg/simpress/transitions-ogl.xml 3281 1303324670 d1e2615d0b0663ce8e0ac201d9e29f8d 0100444 root root 0 0 0 X

The files have the same size & md5sum, i.e. it's the same file packaged in two packages. Most versions of RPM are fine with installing it in the same transaction, but dpkg is pickier about it and breaks installation.
Comment 2 Christian Lohmaier 2011-04-24 02:57:47 UTC
*** Bug 36273 has been marked as a duplicate of this bug. ***
Comment 3 Petr Mladek 2011-04-26 06:09:06 UTC
It was packaged twice because of the fix for MAC
http://cgit.freedesktop.org/libreoffice/bootstrap/commit/?h=libreoffice-3-4&id=b6f1ca2d484a564957b72a9612af3cc9f1f8da23

IMHO, it does not make sense, so I reverted the change in 	scp2/source/impress/module_impress.scp, see
http://cgit.freedesktop.org/libreoffice/bootstrap/commit/?h=libreoffice-3-4&id=e84982a7c78810b8cfbbc64a204ffce54fbe3de2

=> FIXED for 3.4.0-beta3
Comment 4 tester8 2011-04-30 00:43:50 UTC
arparamir,
You can just use
export LANG=C
command before something to get error messages in English and not translate these manually.